using UnityEngine;

public class CollectableItems : MonoBehaviour {

    private Animator _animator;
    private AudioSource _audioSource;
    private Player _player;

    private void Start() {
        _player = Player.SingletonInstance;
        _animator = GetComponent<Animator>();
        _audioSource = GetComponent<AudioSource>();
    }

    public void PickUpEvent() {
        _audioSource.Play();
        _animator.SetTrigger("PickUp");
        if (gameObject.CompareTag("Coin")) _player.Coins++;
        if (gameObject.CompareTag("Ammo")) _player.Ammoes++;
        if (gameObject.CompareTag("HitPoint")) _player.HitPoint++;
        if (gameObject.CompareTag("JumpUp")) _player.PowerUpEvent();
    }

    public void Destroy() => Destroy(gameObject);
}